"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mobx_1 = require("mobx");
/**
 * Runs `callback` in a reactive context
 * @example
 * ```
 * runInReactiveContext(() => {
 *   // Read your computed value here
 *   console.log(object.computedValue)
 * })
 * ```
 * @param callback The function which will be run in a reactive context
 */
function runInReactiveContext(callback) {
    mobx_1.autorun((reaction) => {
        callback();
        reaction.dispose();
    });
}
exports.default = runInReactiveContext;
